/*Copyright (C) 2010 Deveaux Duncan

This file is part of Hikou no mizu.

Hikou no mizu is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Hikou no mizu is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Hikou no mizu.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef DEF_IMAGE_BUTTON
#define DEF_IMAGE_BUTTON

#include <SFML/Graphics.hpp>
#include "Button.hpp"

//Class representing an image Button
class ImageButton : public Button
{
    public:
        ImageButton();
        ImageButton(const sf::Sprite &image, float width, float height, const sf::Color &borderColor);
        
        void setImage(const sf::Sprite &image);
        const sf::Sprite &getImage() const;
    
    private:
        virtual void Render(sf::RenderTarget& target, sf::Renderer& renderer) const;
        
        sf::Sprite m_image;
};

#endif